PolycurveGeometryBuilderAppendArc Method |
Appends an arc using three points. The first point is taken as the last point of the last element of the
polycurve.
Namespace: Tekla.Structures.Geometry3d
Assembly: Tekla.Structures (in Tekla.Structures.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
Parameters
- middlePoint
- Type: Tekla.Structures.Geometry3dPoint
Arc middle point - endPoint
- Type: Tekla.Structures.Geometry3dPoint
Arc end point
Return Value
Type: PolycurveGeometryBuilderThe builder itself
Remarks
This function requires that there is at least one curve in the polycurve
See Also